SQ(1)

NAME
sq toolbox armor - Convert binary to ASCII

SYNOPSIS
sq toolbox armor [OPTIONS] FILE

DESCRIPTION
Convert binary to ASCII.

To make encrypted data easier to handle and transport, OpenPGP data can be transformed to an ASCII representation called ASCII Armor. sq emits armored data by default, but this subcommand can be used to convert existing OpenPGP data to its ASCII-encoded representation.

The converse operation is `sq toolbox dearmor`.

OPTIONS

  Subcommand options

--label=LABEL
    Select the kind of armor header

    [default: auto]

    [possible values: auto, message, cert, key, sig, file]

-o, --output=FILE
    Write to FILE or stdout if omitted

    [default: -]

FILE
    Read from FILE or stdin if FILE is '-'

    [default: -]

  Global options
See sq(1) for a description of the global options.

EXAMPLES

Convert a binary certificate to ASCII

    sq toolbox armor binary-juliet.pgp

Convert a binary message to ASCII

    sq toolbox armor binary-message.pgp

SEE ALSO
sq(1), sq-toolbox(1).

For the full documentation see <https://book.sequoia-pgp.org>.

VERSION
0.37.0 (sequoia-openpgp 1.20.0)